<?php
define ( 'JS_PATH' , get_template_directory_uri().'/shortcodes/customcodes.js');

function mq_custom_addbuttons() {
	if ( ! current_user_can('edit_posts') && ! current_user_can('edit_pages') )
		return;

	if ( get_user_option('rich_editing') == 'true') {
		add_filter("mce_external_plugins", "add_tcustom_tinymce_plugin");
		add_filter('mce_buttons_3', 'register_tcustom_button');
	}
}
function register_tcustom_button($buttons) {
	array_push(
		$buttons,
		"Video",
		"Audio",
		"Flash"); 
	return $buttons;
} 
function add_tcustom_tinymce_plugin($plugin_array) {
	$plugin_array['MQShortCodes'] = JS_PATH;
	return $plugin_array;
}
add_action('init', 'mq_custom_addbuttons');


## AddVideo -------------------------------------------------- #
function mq_shortcode_AddVideo( $atts, $content = null ) {
    @extract($atts);

	$width  = ($width)  ? $width  :'500' ;
	$height = ($height) ? $height : '300';
	$video_url = @parse_url($content);
		parse_str( @parse_url( $content, PHP_URL_QUERY ), $my_array_of_vars );
		$video =  $my_array_of_vars['v'] ;
		$out ='<iframe width="'.$width.'" height="'.$height.'" src="http://www.youtube.com/embed/'.$video.'?rel=0" frameborder="0" allowfullscreen></iframe>';
		
    return $out;
}
add_shortcode('video', 'mq_shortcode_AddVideo');

## AddAudio -------------------------------------------------- #
function mq_shortcode_AddAudio( $atts, $content = null ) {
    @extract($atts);
	$player_id = rand(5, 15) ;
	
	wp_enqueue_script( 'mq-jplayer' );

$out= '<script type="text/javascript">
    jQuery(document).ready(function(){
      jQuery("#jquery_jplayer_'. $player_id .'").jPlayer({
        ready: function () {
          jQuery(this).jPlayer("setMedia", {
            mp3: "'. $mp3 .'",
            m4a: "'. $m4a .'",
            oga: "'. $ogg .'"
          });
        },
		cssSelectorAncestor: "#jp_container_'. $player_id .'",
        supplied: "m4a, oga, mp3"
      });
    });
  </script> 
  <div id="jquery_jplayer_'. $player_id .'" class="jp-jplayer"></div>
  <div id="jp_container_'. $player_id .'" class="jp-audio">
    <div class="jp-type-single">
      <div class="jp-gui jp-interface">
          <a href="javascript:;" class="jp-play" tabindex="1">play</a>
          <a href="javascript:;" class="jp-pause" tabindex="1">pause</a>

		<span class="separator"></span>
				
        <div class="jp-progress">
          <div class="jp-seek-bar">
            <div class="jp-play-bar"><span></span></div>
          </div>
        </div>
		
		<span class="separator sep-2"></span>

          <a href="javascript:;" class="jp-mute" tabindex="1" title="mute">mute</a>
          <a href="javascript:;" class="jp-unmute" tabindex="1" title="unmute">unmute</a>
		
		<div class="jp-volume-bar">
          <div class="jp-volume-bar-value"><span class="handle"></span></div>
        </div>
		
      </div>

      <div class="jp-no-solution">
        <span>Update Required</span>
        To play the media you will need to either update your browser to a recent version or update your <a href="http://get.adobe.com/flashplayer/" target="_blank">Flash plugin</a>.
      </div>
    </div>
  </div>';?>
 
  <?php
   return do_shortcode( $out );
}
add_shortcode('audio', 'mq_shortcode_AddAudio');

## AddFlash -------------------------------------------------- #
function mq_shortcode_AddFlash( $atts, $content = null ) {
    @extract($atts);

	$width  = ($width)  ? $width  :'500' ;
	$height = ($height) ? $height : '500';
	$flash = ($content);
		$out ='<object width="'.$width.'" height="'.$height.'" border="0" codebase="http://download.macromedia.com/pub/shockwave/cabs/flash/swflash.cab#version=6,0,40,0" id="obj1" classid="clsid:D27CDB6E-AE6D-11CF-96B8-444553540000">
		<param value="'.$flash.'" name="movie">
		<param value="High" name="quality">
		<param value="transparent" name="wmode">
		<embed width="'.$width.'" height="'.$height.'" wmode="transparent" quality="High" name="obj1" type="application/x-shockwave-flash" pluginspage="http://www.macromedia.com/go/getflashplayer" src="'.$flash.'">
		</object>';
		
    return $out;
}
add_shortcode('flash', 'mq_shortcode_AddFlash');



?>